local theme_assets = require("beautiful.theme_assets")
local xresources = require("beautiful.xresources")
local dpi = xresources.apply_dpi

local gfs = require("gears.filesystem")
local layout_icons_path = gfs.get_configuration_dir() .. "icons/layouts/"

local spawn = require("awful.spawn")
local utils = require("utils")
local helpers = require("lain.helpers")

local theme = {}

theme.font             = "Terminus (TTF) 9"

theme.wibar_height     = 18

theme.colors = {}
theme.colors.base03    = "#002b36"
theme.colors.base02    = "#073642"
theme.colors.base01    = "#586e75"
theme.colors.base00    = "#657b83"
theme.colors.base0     = "#839496"
theme.colors.base1     = "#93a1a1"
theme.colors.base2     = "#eee8d5"
theme.colors.base3     = "#fdf6e3"
theme.colors.yellow    = "#b58900"
theme.colors.orange    = "#cb4b16"
theme.colors.red       = "#dc322f"
theme.colors.magenta   = "#d33682"
theme.colors.violet    = "#6c71c4"
theme.colors.blue      = "#268bd2"
theme.colors.cyan      = "#2aa198"
theme.colors.green     = "#859900"

theme.bg_normal        = theme.colors.base03
theme.bg_focus         = theme.colors.base02
theme.bg_urgent        = theme.colors.red
theme.bg_minimize      = "#303030"
theme.bg_systray       = theme.bg_normal

theme.fg_normal        = theme.colors.base0
theme.fg_focus         = theme.colors.base1
theme.fg_urgent        = theme.fg_focus
theme.fg_minimize      = theme.colors.fg_normal

theme.taglist_font     = "IPAGothic 10"
theme.taglist_bg_focus = theme.colors.base3
theme.taglist_fg_focus = theme.colors.base00

theme.useless_gap      = dpi(0)
theme.border_width     = 1
theme.border_normal    = theme.colors.base03
theme.border_focus     = theme.colors.base02

theme.tasklist_disable_icon = true

theme.hotkeys_font              = "Iosevka sbruder Bold 10"
theme.hotkeys_description_font  = "Iosevka sbruder 10"
theme.hotkeys_modifiers_fg      = theme.fg_normal

theme.wallpaper = function(s)
    if helpers.file_exists(utils.home() .. ".fehbg") then
        spawn.spawn(utils.home() .. ".fehbg")
    end
end

local taglist_square_size = dpi(4)
theme.taglist_squares_sel = theme_assets.taglist_squares_sel(
    taglist_square_size, theme.fg_normal
)
theme.taglist_squares_unsel = theme_assets.taglist_squares_unsel(
    taglist_square_size, theme.fg_normal
)

theme.layout_fairh      = layout_icons_path .. "fairh.png"
theme.layout_fairv      = layout_icons_path .. "fairv.png"
theme.layout_floating   = layout_icons_path .. "floating.png"
theme.layout_magnifier  = layout_icons_path .. "magnifier.png"
theme.layout_max        = layout_icons_path .. "max.png"
theme.layout_fullscreen = layout_icons_path .. "fullscreen.png"
theme.layout_tilebottom = layout_icons_path .. "tilebottom.png"
theme.layout_tileleft   = layout_icons_path .. "tileleft.png"
theme.layout_tile       = layout_icons_path .. "tile.png"
theme.layout_tiletop    = layout_icons_path .. "tiletop.png"
theme.layout_spiral     = layout_icons_path .. "spiral.png"
theme.layout_dwindle    = layout_icons_path .. "dwindle.png"
theme.layout_cornernw   = layout_icons_path .. "cornernw.png"
theme.layout_cornerne   = layout_icons_path .. "cornerne.png"
theme.layout_cornersw   = layout_icons_path .. "cornersw.png"
theme.layout_cornerse   = layout_icons_path .. "cornerse.png"

return theme
